# Environment

In your preferred python environment, install dependencies :

```
$ pip install requirements.txt
```

# Command line interface

The command line interface allows for 2 releases. If you want to simulate a multi-releases strategy with more than two releases, please look at the examples you can find on the projet [Gitlab](https://reine.cmla.ens-cachan.fr/boulant/seair) and simply adapt the arrays `T` and `prop` to your desired scenario. 

To get the help on the command line interface on how to use the arguments, please run 

```
$ python ./execute.py --help
```

or 

```
$ python ./execute.py -h
```

Then, once you have identified the proper values of the mandatory CLI arguments, run for instance :

```
$ python ./execute.py 67000000 4000000 200000 4000 10000 99.5 10 60 300 500 40 90 0.9
```

This particular command simulates a two releases strategy with :

* 40% of the population released at time `t=0`
* 50% more of the population (hence the 90 value as argument for `prop1`) at time `t=300+1`
* 100% of the population is released at `t=500`

All the graphs will be created under the this current directory. Their names will be : 

* `contacts.png`
* `populations_densities.png`
* `model_response_deaths.png`
* `model_response_severe_infections.png`
* `model_response_hospital_saturation.png`
* `model_response_recovered_severe_symptoms.png`
* `model_response_recovered_mild_symptoms.png`
